> For the complete documentation index, see [llms.txt](https://docs.aavso.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aavso.org/observations.md).

# Observations

Search for and manage observational data.

## GET /v2/api/observations/photometry/

> List photometry observations

```json
{"openapi":"3.0.3","info":{"title":"API for American Association of Variable Star Observers","version":"1.0.0"},"tags":[{"name":"Observations","description":"Search for and manage observational data."}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Token-based authentication with required prefix \"Token\""}},"schemas":{"PaginatedAIDObservationList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/AIDObservation"}}}},"AIDObservation":{"type":"object","properties":{"id":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":30},"obscode":{"type":"string","readOnly":true},"jd_dbl":{"type":"number","format":"double","readOnly":true},"magnitude":{"type":"string","maxLength":8},"uncertainty":{"type":"string","maxLength":6},"band":{"type":"string","maxLength":2},"obstype":{"type":"string","maxLength":1},"auid":{"type":"string","maxLength":11},"fainterthan":{"type":"boolean"}},"required":["auid","id","jd_dbl","obscode","obstype"]}}},"paths":{"/v2/api/observations/photometry/":{"get":{"operationId":"v2_api_observations_photometry_list","summary":"List photometry observations","parameters":[{"in":"query","name":"band","schema":{"type":"array","items":{"type":"string","enum":[0,1,10,11,13,14,2,21,22,23,24,26,27,28,29,3,30,31,32,33,34,35,4,40,41,42,43,44,45,5,50,51,52,55,56,57,6,7,8,9]}},"description":"Filters\n\n* `0` - Visual\n* `1` - Unknown\n* `7` - Johnson U\n* `2` - Johnson V\n* `3` - Johnson B\n* `4` - Cousins R\n* `5` - Cousins I\n* `6` - Orange (Liller)\n* `8` - Unfiltered with V Zeropoint\n* `9` - Unfiltered with R Zeropoint\n* `21` - Blue\n* `22` - Green\n* `23` - Red\n* `24` - Yellow\n* `29` - Sloan z\n* `50` - Tri-Color Blue\n* `27` - H NIR 1.6micron\n* `30` - Stromgren u\n* `31` - Stromgren v\n* `32` - Stromgren b\n* `33` - Stromgren y\n* `34` - Stromgren Hbw\n* `35` - Stromgren Hbn\n* `40` - Sloan u\n* `41` - Sloan g\n* `42` - Sloan r\n* `43` - Sloan i\n* `51` - Tri-Color Green\n* `52` - Tri-Color Red\n* `28` - J NIR 1.2micron\n* `26` - K NIR 2.2micron\n* `10` - Johnson R\n* `11` - Johnson I\n* `55` - Optec Wing A\n* `56` - Optec Wing B\n* `57` - Optec Wing C\n* `44` - PanSTARRS Z-short\n* `13` - Halpha\n* `14` - Halpha-continuum\n* `45` - PanSTARRS Y","explode":true,"style":"form"},{"in":"query","name":"end_date","schema":{"type":"string"},"description":"End Date"},{"in":"query","name":"obs_campaign","schema":{"type":"string"},"description":"Campaign overrides targets and dates."},{"in":"query","name":"observer","schema":{"type":"string"},"description":"Separate multiple observers with commas."},{"in":"query","name":"obstype","schema":{"type":"array","items":{"type":"string"}},"description":"Observation Types","explode":true,"style":"form"},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"in":"query","name":"start_date","schema":{"type":"string"},"description":"Start Date"},{"in":"query","name":"target","schema":{"type":"array","items":{"type":"string"}},"description":"Enter list of star names, comma separated.","explode":true,"style":"form"}],"tags":["Observations"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedAIDObservationList"}}},"description":""}}}}}}
```

## Delete user's observations

> Pass in a list of observation id's as \`observation\_ids\` to delete them. This endpoint currently only supports photometry observations. To delete observations older than 1 year, please contact us.

```json
{"openapi":"3.0.3","info":{"title":"API for American Association of Variable Star Observers","version":"1.0.0"},"tags":[{"name":"Observations","description":"Search for and manage observational data."}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Token-based authentication with required prefix \"Token\""}}},"paths":{"/v2/api/observations/photometry/":{"delete":{"operationId":"v2_api_observations_photometry_destroy","description":"Pass in a list of observation id's as `observation_ids` to delete them. This endpoint currently only supports photometry observations. To delete observations older than 1 year, please contact us.","summary":"Delete user's observations","tags":["Observations"],"responses":{"200":{"description":"Success"},"400":{"description":"Invalid IDs or observation older than 1 year"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aavso.org/observations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
